Table of Contents

Class: ShortcutsDialog | eric3/Preferences/ShortcutsDialog.py
--- | ---

Class implementing a dialog for the configuration of eric3s keyboard shortcuts.

Base Classes |
--- | ---
ShortcutsForm

Methods |
--- | ---
__init__ checkShortcut handleDoubleClicked handleOk handleShortcutChanged showEvent
| __init__

    __init__ (
            self,
            parent=None,
            name=None,
            modal=0,
            fl=0,
            )

Constructor

| checkShortcut

    checkShortcut ( self,  keysequence )

### Private method to check a keysequence for uniqueness.

#### Arguments

keysequence
  the keysequence to check (QKeySequence)

#### Returns

flag indicating uniqueness (boolean)

| handleDoubleClicked

    handleDoubleClicked ( self,  itm )

Private slot to handle a double click in the shortcuts list view.

| handleOk

    handleOk ( self )

Private slot to handle the OK button press.

| handleShortcutChanged

    handleShortcutChanged ( self,  keysequence )

### Private slot to handle the shortcutChanged signal of the shortcut dialog.

#### Arguments

keysequence
  the keysequence of the changed action (QKeySequence)

| showEvent

    showEvent ( self,  evt )

### Public method called when the dialog is about to be shown.

#### Arguments

evt
  the event (QShowEvent)

Table of Contents

This document was automatically generated by HappyDoc version 2.1